using System;
using System.Collections.Generic;
using System.Text;

namespace CodeAttributeDemo
{
    [AttributeUsage(AttributeTargets.Class)]
    class DataTableAttribute : Attribute
    {
        private string tableName = "Table";

        public DataTableAttribute()
        {
        }

        public DataTableAttribute(string initTable)
        {
            tableName = initTable;
        }

        public string TableName
        {
            get { return tableName; }
            set { tableName = value; }
        }
    }
}
