using System;
using System.Xml;
using System.Resources;

using System.Collections.Generic;
using System.Text;

namespace ResourceDemo
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine(DemoResources.Greeting);
            Console.WriteLine(AdditionalResources.Class1.WelcomeParagraph);

            XmlDocument doc = new XmlDocument();
            doc.LoadXml(DemoResources.XmlDocument1);

            foreach (XmlNode order in doc.SelectNodes("//Order"))
            {
                Console.WriteLine("Order id {0}, Total ${1}", order.Attributes["id"].Value, order.Attributes["total"].Value);
            }
                      
            Console.ReadLine();
        }
    }
}
