using System;
using System.IO;
using System.Security.Cryptography;
using System.Collections.Generic;
using System.Text;

namespace Hashing
{
    class Program
    {
        static void Main(string[] args)
        {
            string verifiableMesage = "It was the best of times, it was the worst of times.";
            SHA1Managed sha = new SHA1Managed();
            byte[] hashValue = 
                sha.ComputeHash(System.Text.ASCIIEncoding.ASCII.GetBytes(verifiableMesage));

            // now that we have a hash, create a signature based on the hash
            // re-use Jane's key.
            StreamReader sr = File.OpenText(@"..\..\..\..\JanesKey.xml");
            string janesKey = sr.ReadToEnd();

            RSACryptoServiceProvider rsa = new RSACryptoServiceProvider();
            rsa.FromXmlString(janesKey);

            RSAPKCS1SignatureFormatter sigFormatter = new RSAPKCS1SignatureFormatter(rsa);
            sigFormatter.SetHashAlgorithm("SHA1");
            byte[] signedHash = sigFormatter.CreateSignature(hashValue);

            // write the signed hash to disk
            FileStream fs = new FileStream(@"..\..\..\..\signedHash.dat", FileMode.Create);
            fs.Write(signedHash, 0, signedHash.Length);
            fs.Close();
        }
    }
}
