﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Src="Controls/ZipCodeSelector.ascx" TagName="ZipCodeSelector" TagPrefix="uc3" %>

<%@ Register Src="Controls/WeatherPart.ascx" TagName="WeatherPart" TagPrefix="uc2" %>

<%@ Register Src="PageStateSwitcher.ascx" TagName="PageStateSwitcher" TagPrefix="uc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
  
    <title>Web Part Page Demonstration</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <center><b><i>Web Parts Page Demonstration</i></b></center>
        <asp:WebPartManager ID="wpManager" runat="server">
        </asp:WebPartManager>
        <table width="100%" border="0" cellspacing="3" cellpadding="3">
            <tr>
                <td valign="top" width="33%">
                    <asp:WebPartZone ID="zoneSideBar" runat="server" 
                      Width="100%" 
                      HeaderText="Side Bar" BorderColor="#CCCCCC" Font-Names="Verdana" Padding="6">
                        <ZoneTemplate>
                            <asp:TreeView ID="TreeView1" runat="server" Title="Tree">
                                <Nodes>
                                    <asp:TreeNode Text="New Node" Value="New Node"></asp:TreeNode>
                                    <asp:TreeNode Text="New Node" Value="New Node">
                                        <asp:TreeNode Text="New Node" Value="New Node"></asp:TreeNode>
                                    </asp:TreeNode>
                                    <asp:TreeNode Text="New Node" Value="New Node">
                                        <asp:TreeNode Text="New Node" Value="New Node"></asp:TreeNode>
                                    </asp:TreeNode>
                                    <asp:TreeNode Text="New Node" Value="New Node">
                                        <asp:TreeNode Text="New Node" Value="New Node"></asp:TreeNode>
                                    </asp:TreeNode>
                                    <asp:TreeNode Text="New Node" Value="New Node"></asp:TreeNode>
                                    <asp:TreeNode Text="New Node" Value="New Node"></asp:TreeNode>
                                    <asp:TreeNode Text="New Node" Value="New Node"></asp:TreeNode>
                                    <asp:TreeNode Text="New Node" Value="New Node"></asp:TreeNode>
                                </Nodes>
                            </asp:TreeView>
                        </ZoneTemplate>
                        <PartChromeStyle BackColor="#F7F6F3" BorderColor="#E2DED6" Font-Names="Verdana" ForeColor="White" />
                        <MenuLabelHoverStyle ForeColor="#E2DED6" />
                        <EmptyZoneTextStyle Font-Size="0.8em" />
                        <MenuLabelStyle ForeColor="White" />
                        <MenuVerbHoverStyle BackColor="#F7F6F3" BorderColor="#CCCCCC" BorderStyle="Solid"
                            BorderWidth="1px" ForeColor="#333333" />
                        <HeaderStyle Font-Size="0.7em" ForeColor="#CCCCCC" HorizontalAlign="Center" />
                        <MenuVerbStyle BorderColor="#5D7B9D" BorderStyle="Solid" BorderWidth="1px" ForeColor="White" />
                        <PartStyle Font-Size="0.8em" ForeColor="#333333" />
                        <TitleBarVerbStyle Font-Size="0.6em" Font-Underline="False" ForeColor="White" />
                        <MenuPopupStyle BackColor="#5D7B9D" BorderColor="#CCCCCC" BorderWidth="1px" Font-Names="Verdana"
                            Font-Size="0.6em" />
                        <PartTitleStyle BackColor="#5D7B9D" Font-Bold="True" Font-Size="0.8em" ForeColor="White" />
                    </asp:WebPartZone>
                </td>
                <td valign="top" width="67%">
                    <asp:WebPartZone ID="zoneMain" runat="server" 
                      Width="100%" 
                      HeaderText="Main Zone" BorderColor="#CCCCCC" Font-Names="Verdana" Padding="6">
                        <ZoneTemplate>
                            <asp:Label ID="lblOne" runat="server" Title="Content One">
                                This is content area One.
                            </asp:Label>
                            <asp:Label ID="lblTwo" runat="server" Title="Content Two">
                                This is content area Two.
                            </asp:Label>
                            <asp:Label ID="lblThree" runat="server" Title="Content Three">
                                This is content area Three.
                            </asp:Label>
                        </ZoneTemplate>
                        <PartChromeStyle BackColor="#F7F6F3" BorderColor="#E2DED6" Font-Names="Verdana" ForeColor="White" />
                        <MenuLabelHoverStyle ForeColor="#E2DED6" />
                        <EmptyZoneTextStyle Font-Size="0.8em" />
                        <MenuLabelStyle ForeColor="White" />
                        <MenuVerbHoverStyle BackColor="#F7F6F3" BorderColor="#CCCCCC" BorderStyle="Solid"
                            BorderWidth="1px" ForeColor="#333333" />
                        <HeaderStyle Font-Size="0.7em" ForeColor="#CCCCCC" HorizontalAlign="Center" />
                        <MenuVerbStyle BorderColor="#5D7B9D" BorderStyle="Solid" BorderWidth="1px" ForeColor="White" />
                        <PartStyle Font-Size="0.8em" ForeColor="#333333" />
                        <TitleBarVerbStyle Font-Size="0.6em" Font-Underline="False" ForeColor="White" />
                        <MenuPopupStyle BackColor="#5D7B9D" BorderColor="#CCCCCC" BorderWidth="1px" Font-Names="Verdana"
                            Font-Size="0.6em" />
                        <PartTitleStyle BackColor="#5D7B9D" Font-Bold="True" Font-Size="0.8em" ForeColor="White" />
                    </asp:WebPartZone>
                </td>
                <td valign="top">
                    <asp:EditorZone ID="zoneEditor" runat="server" BackColor="#F7F6F3" BorderColor="#CCCCCC" BorderWidth="1px" Font-Names="Verdana" Padding="6">
                        <ZoneTemplate>
                            <asp:AppearanceEditorPart ID="AppearanceEditorPart1" runat="server" />
                            <asp:LayoutEditorPart ID="LayoutEditorPart1" runat="server" />
                        </ZoneTemplate>
                        <HeaderStyle BackColor="#E2DED6" Font-Bold="True" Font-Size="0.8em" ForeColor="#333333" />
                        <LabelStyle Font-Size="0.8em" ForeColor="#333333" />
                        <HeaderVerbStyle Font-Bold="False" Font-Size="0.8em" Font-Underline="False" ForeColor="#333333" />
                        <PartChromeStyle BorderColor="#E2DED6" BorderStyle="Solid" BorderWidth="1px" />
                        <PartStyle BorderColor="#F7F6F3" BorderWidth="5px" />
                        <FooterStyle BackColor="#E2DED6" HorizontalAlign="Right" />
                        <EditUIStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
                        <InstructionTextStyle Font-Size="0.8em" ForeColor="#333333" />
                        <ErrorStyle Font-Size="0.8em" />
                        <VerbStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
                        <EmptyZoneTextStyle Font-Size="0.8em" ForeColor="#333333" />
                        <PartTitleStyle Font-Bold="True" Font-Size="0.8em" ForeColor="#333333" />
                    </asp:EditorZone>
                    <asp:CatalogZone ID="CatalogZone1" runat="server" BackColor="#F7F6F3" BorderColor="#CCCCCC"
                        BorderWidth="1px" Font-Names="Verdana" Padding="6">
                        <HeaderVerbStyle Font-Bold="False" Font-Size="0.8em" Font-Underline="False" ForeColor="#333333" />
                        <PartTitleStyle BackColor="#5D7B9D" Font-Bold="True" Font-Size="0.8em" ForeColor="White" />
                        <PartChromeStyle BorderColor="#E2DED6" BorderStyle="Solid" BorderWidth="1px" />
                        <InstructionTextStyle Font-Size="0.8em" ForeColor="#333333" />
                        <PartLinkStyle Font-Size="0.8em" />
                        <EmptyZoneTextStyle Font-Size="0.8em" ForeColor="#333333" />
                        <LabelStyle Font-Size="0.8em" ForeColor="#333333" />
                        <VerbStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
                        <ZoneTemplate>
                        <asp:DeclarativeCatalogPart ID="DeclarativeCatalogPart1" runat="server">
                            <WebPartsTemplate>
                                <asp:Calendar ID="calendar1" runat="server" Title="Misc Calendar" />
                                <asp:TextBox ID="txtTest" runat="Server" Title="Test Text Box" />
                                <asp:Label ID="lblTest" runat="server" Title="Sample Label" />
                                <uc2:WeatherPart ID="WeatherPart1" runat="server" Title="Weather Consumer" />
                                <uc3:ZipCodeSelector ID="ZipCodeSelector1" runat="server" Title="Zip Provider" />
                            </WebPartsTemplate>
                        </asp:DeclarativeCatalogPart>                                                        
                        </ZoneTemplate>
                        <PartStyle BorderColor="#F7F6F3" BorderWidth="5px" />
                        <SelectedPartLinkStyle Font-Size="0.8em" />
                        <FooterStyle BackColor="#E2DED6" HorizontalAlign="Right" />
                        <HeaderStyle BackColor="#E2DED6" Font-Bold="True" Font-Size="0.8em" ForeColor="#333333" />
                        <EditUIStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
                    </asp:CatalogZone>
                    <asp:ConnectionsZone ID="connectionZone" runat="server" BackColor="#F7F6F3" BorderColor="#CCCCCC" BorderWidth="1px" Font-Names="Verdana" Padding="6">
                        <LabelStyle Font-Size="0.8em" ForeColor="#333333" />
                        <FooterStyle BackColor="#E2DED6" HorizontalAlign="Right" />
                        <VerbStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
                        <HeaderVerbStyle Font-Bold="False" Font-Size="0.8em" Font-Underline="False" ForeColor="#333333" />
                        <HeaderStyle BackColor="#E2DED6" Font-Bold="True" Font-Size="0.8em" ForeColor="#333333" />
                        <InstructionTextStyle Font-Size="0.8em" ForeColor="#333333" />
                        <EditUIStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
                       
                    </asp:ConnectionsZone>
                </td>
            </tr>
        </table>
        <uc1:PageStateSwitcher ID="PageStateSwitcher1" runat="server" />
    </div>
    </form>
</body>
</html>
