using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Runtime.InteropServices;
using System.EnterpriseServices;
using System.Windows.Forms;

using QueuedLibrary;

namespace QueuedComponentsDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            IQueuedComponent iqc = null;
            try
            {
                 iqc =
                    (IQueuedComponent)
                    Marshal.BindToMoniker("queue:/new:QueuedLibrary.SampleQueuedComponent");
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());
            }
            iqc.ProcessData(42);
            // this needs to be done to release properly
            Marshal.ReleaseComObject(iqc);

        }
    }
}