using System;
using System.Threading;
using System.Collections.Generic;
using System.Text;

namespace JoinTest
{
    class Program
    {
        static void Main(string[] args)
        {
            Thread worker = new Thread(new ThreadStart(DoWork));
            worker.Start();

            // now do a 'join' to block this thread until worker
            // has completed
            worker.Join();
            Console.WriteLine("This line will not execute until 'worker' is complete.");
            Console.ReadLine();
        }

        static void DoWork()
        {
            for (int i = 0; i < 100; i++)
            {
                Thread.Sleep(100);
                Console.Write(".");
            }

        }
    }
}
