using System;
using System.Text;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for LocationEventControl
/// </summary>
public class LocationEventControl : Control, ICallbackEventHandler
{
    private DataTable offices;

	public LocationEventControl()
	{
		//
		// TODO: Add constructor logic here
		//
	}

    #region ICallbackEventHandler Members

    public string GetCallbackResult()
    {
        StringBuilder sb = new StringBuilder();
        foreach (DataRow row in offices.Rows)
        {
            sb.AppendFormat("{0}|{1}||", row["OfficeID"], row["Description"]);
        }
        return sb.ToString();
    }

    public void RaiseCallbackEvent(string eventArgument)
    {
        using (SqlConnection conn = new SqlConnection(
            "data source=localhost; initial catalog=SampleDB; integrated security=SSPI;"))
        {
            offices = new DataTable("Offices");
            conn.Open();
            SqlCommand cmd = conn.CreateCommand();
            cmd.CommandText = "SELECT OfficeID, Description FROM Offices WHERE LocationID = " + eventArgument;
            SqlDataAdapter da = new SqlDataAdapter(cmd);
            da.Fill(offices);
        }
    }

    #endregion
}
