using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session.IsNewSession)
        {
            lblStatus.Text = "This session is <b>New</b>.";
            Session["counter"] = 0;
            Session["customer"] = new Customer("Hoffman", "Kevin");
        }
        else
        {
            lblStatus.Text = string.Format(
                "This session is <b>Old</b>. Stored Customer is {0}",
                ((Customer)Session["customer"]).LastName + ", " +
                ((Customer)Session["customer"]).FirstName);
        }

        UpdateCounterLabel();
    }

    private void UpdateCounterLabel()
    {
        lblCounter.Text = string.Format(
            "Counter value is <b>{0}</b>.",
            Session["counter"]);
    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        Session["counter"] = (int)Session["counter"] + 1;
        UpdateCounterLabel();
    }
}
