using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class StateDemo : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {               
        if (!Page.IsPostBack)
        {
            List<string> stringList = new List<string>();
            stringList.Add("String One");
            stringList.Add("String Two");
            stringList.Add("String Three");
            StateControl1.DataSource = stringList;
            StateControl1.SelectedIndex = 2;
        }                  
        StateControl1.DataBind();        
    }

    protected override void OnPreRender(EventArgs e)
    {
        base.OnPreRender(e);
        Response.Write("Requires control state: " + RequiresControlState(StateControl1) + "<br/>");
    }

    
    protected void button1_Click(object sender, EventArgs e)
    {
        Response.Write("Button was pressed, this is a post back.<br/>");
        Response.Write("StateControl Selected Index: " +
            StateControl1.SelectedIndex.ToString() +"<br/>");
    }
}
