using System;
using System.IO;
using System.Collections.Generic;
using System.Text;
using System.EnterpriseServices;
using System.Windows.Forms;

namespace QueuedLibrary
{
    [InterfaceQueuing]
    public interface IQueuedComponent
    {
        void ProcessData(int numData);
    }


    public class SampleQueuedComponent : ServicedComponent, IQueuedComponent
    {
        public void ProcessData(int numData)
        {
            SecurityCallContext.CurrentCall.IsCallerInRole("My Role");
            MessageBox.Show("Data received from queue " + numData.ToString(), "Data Received");
        }
    }
}
