using System;
using System.Collections.Generic;
using System.Text;

using SharedLibrary;

namespace IpcGenerics
{
    public class SharedObjectImplementation<T>: MarshalByRefObject, ISharedObject<T>
    {
        public SharedObjectImplementation()
        {
            Console.WriteLine("Shared Object instantiated: " + this.GetType().ToString());
        }
        #region ISharedObject<T> Members

        public void PrintMessage(T msg)
        {
            Console.WriteLine("Incoming Message: " + msg.ToString());
        }

        #endregion
    }
}
